Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.tpc.inap.management
Interface InapTpcMBean

public interface InapTpcMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static Integer` | `inapBindTimeout` INAP bind timeout (ms)
`static Integer` | `inapUserId` INAP CommonParts user ID
`static Integer` | `localSpc` Local SPC.
`static Integer` | `localSsn` Local SSN.
`static Integer` | `noAnswerTimeout` NoAnswer timeout value (seconds)
`static Integer` | `remoteSpc` Remote SPC.
`static Integer` | `remoteSsn` Remote SSN.
`static Integer` | `sccpPriority` SCCP message priority, 0 (lowest) - 3 (highest)
`static Integer` | `sccpQualityOfService` SCCP quality-of-service
`static String` | `ss7Host` SS7 host address
`static Integer` | `ss7PortNumber` SS7 port number
`static Integer` | `TSCFTimeout` The T(SCF) timeout (seconds)

Method Summary
`Integer` | `getInapBindTimeout()` Get the INAP bind timeout.
`Integer` | `getInapUserId()` Get the INAP CommonParts user ID.
`Integer` | `getLocalSpc()` Get the local SPC.
`Integer` | `getLocalSsn()` Get the local SSN.
`Integer` | `getNoAnswerTimeout()` Get the NoAnswer timeout
`Integer` | `getRemoteSpc()` Get the remote SPC.
`Integer` | `getRemoteSsn()` Get the remote SSN.
`Integer` | `getSccpPriority()` Get the SCCP priority.
`Integer` | `getSccpQualityOfService()` Get the SCCP QoS.
`String` | `getSs7Host()` Get the SS7 host address.
`Integer` | `getSs7PortNumber()` Get the SS7 port number.
`Integer` | `getTSCFTimeout()` Get the T(SCF) timeout
`void` | `setInapBindTimeout(Integer inapBindTimeout)` Set the INAP bind timeout.
`void` | `setInapUserId(Integer inapUserId)` Set the INAP CommonParts user ID.
`void` | `setLocalSpc(Integer spc)` Set the local SPC.
`void` | `setLocalSsn(Integer ssn)` Set the local SSN.
`void` | `setNoAnswerTimeout(Integer timeout)` Set the NoAnswer timeout.
`void` | `setRemoteSpc(Integer spc)` Set the remote SPC.
`void` | `setRemoteSsn(Integer ssn)` Set the remote SSN.
`void` | `setSccpPriority(Integer sccpPriority)` Set the SCCP priority.
`void` | `setSccpQualityOfService(Integer sccpQualityOfService)` Set the SCCP QoS.
`void` | `setSs7Host(String ss7Host)` Set the SS7 host address.
`void` | `setSs7PortNumber(Integer ss7PortNumber)` Set the SS7 port number.
`void` | `setTSCFTimeout(Integer timeout)` Set the T(SCF) timeout.

Field Detail

### inapBindTimeout

    public static final Integer inapBindTimeout

  INAP bind timeout (ms)

### inapUserId

    public static final Integer inapUserId

  INAP CommonParts user ID

### localSpc

    public static final Integer localSpc

  Local SPC. e.g. 777

### localSsn

    public static final Integer localSsn

  Local SSN. e.g. 254

### noAnswerTimeout

    public static final Integer noAnswerTimeout

  NoAnswer timeout value (seconds)

### remoteSpc

    public static final Integer remoteSpc

  Remote SPC. e.g. 16384

### remoteSsn

    public static final Integer remoteSsn

  Remote SSN. e.g. 8

### sccpPriority

    public static final Integer sccpPriority

  SCCP message priority, 0 (lowest) - 3 (highest)

### sccpQualityOfService

    public static final Integer sccpQualityOfService

  SCCP quality-of-service

### ss7Host

    public static final String ss7Host

  SS7 host address

### ss7PortNumber

    public static final Integer ss7PortNumber

  SS7 port number

### TSCFTimeout

    public static final Integer TSCFTimeout

  The T(SCF) timeout (seconds)

Method Detail

### getInapBindTimeout

    public Integer getInapBindTimeout()
                               throws ManagementException

  Get the INAP bind timeout.

  Returns:
    INAP bind timeout.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getInapUserId

    public Integer getInapUserId()
                          throws ManagementException

  Get the INAP CommonParts user ID.

  Returns:
    INAP CommonParts user ID.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getLocalSpc

    public Integer getLocalSpc()
                        throws ManagementException

  Get the local SPC.

  Returns:
    Local SPC.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getLocalSsn

    public Integer getLocalSsn()
                        throws ManagementException

  Get the local SSN.

  Returns:
    Local SSN.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getNoAnswerTimeout

    public Integer getNoAnswerTimeout()
                               throws ManagementException

  Get the NoAnswer timeout

  Returns:
    The timeout in seconsd.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getRemoteSpc

    public Integer getRemoteSpc()
                         throws ManagementException

  Get the remote SPC.

  Returns:
    Remote SPC.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getRemoteSsn

    public Integer getRemoteSsn()
                         throws ManagementException

  Get the remote SSN.

  Returns:
    Remote SSN.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getSccpPriority

    public Integer getSccpPriority()
                            throws ManagementException

  Get the SCCP priority.

  Returns:
    SCCP priority.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getSccpQualityOfService

    public Integer getSccpQualityOfService()
                                    throws ManagementException

  Get the SCCP QoS.

  Returns:
    SCCP QoS.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getSs7Host

    public String getSs7Host()
                      throws ManagementException

  Get the SS7 host address.

  Returns:
    SS7 host address.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getSs7PortNumber

    public Integer getSs7PortNumber()
                             throws ManagementException

  Get the SS7 port number.

  Returns:
    SS7 port number.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### getTSCFTimeout

    public Integer getTSCFTimeout()
                           throws ManagementException

  Get the T(SCF) timeout

  Returns:
    The timeout in seconsd.
  Throws:
    `ManagementException` - thrown if the parameter has not been initialized.

### setInapBindTimeout

    public void setInapBindTimeout(Integer inapBindTimeout)
                            throws ManagementException

  Set the INAP bind timeout.

  Parameters:
    `inapBindTimeout` - INAP bind timeout
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setInapUserId

    public void setInapUserId(Integer inapUserId)
                       throws ManagementException

  Set the INAP CommonParts user ID.

  Parameters:
    `inapUserId` - INAP CommonParts user ID
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setLocalSpc

    public void setLocalSpc(Integer spc)
                     throws ManagementException

  Set the local SPC.

  Parameters:
    `spc` - local SPC, e.g. 777
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setLocalSsn

    public void setLocalSsn(Integer ssn)
                     throws ManagementException

  Set the local SSN.

  Parameters:
    `ssn` - local SSN, e.g. 254
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setNoAnswerTimeout

    public void setNoAnswerTimeout(Integer timeout)
                            throws ManagementException

  Set the NoAnswer timeout.

  Parameters:
    `timeout` - The timeout in seconds
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setRemoteSpc

    public void setRemoteSpc(Integer spc)
                      throws ManagementException

  Set the remote SPC.

  Parameters:
    `spc` - remote SPC, e.g. 16384
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setRemoteSsn

    public void setRemoteSsn(Integer ssn)
                      throws ManagementException

  Set the remote SSN.

  Parameters:
    `ssn` - remote SSN, e.g. 8
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setSccpPriority

    public void setSccpPriority(Integer sccpPriority)
                         throws ManagementException

  Set the SCCP priority.

  Parameters:
    `sccpPriority` - SCCP priority, 0 (lowest) - 3 (highest)
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setSccpQualityOfService

    public void setSccpQualityOfService(Integer sccpQualityOfService)
                                 throws ManagementException

  Set the SCCP QoS.

  Parameters:
    `sccpQualityOfService` - SCCP QoS
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setSs7Host

    public void setSs7Host(String ss7Host)
                    throws ManagementException

  Set the SS7 host address.

  Parameters:
    `ss7Host` - SS7 host address
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setSs7PortNumber

    public void setSs7PortNumber(Integer ss7PortNumber)
                          throws ManagementException

  Set the SS7 port number.

  Parameters:
    `ss7PortNumber` - SS7 port number
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

### setTSCFTimeout

    public void setTSCFTimeout(Integer timeout)
                        throws ManagementException

  Set the T(SCF) timeout.

  Parameters:
    `timeout` - The timeout in seconds
  Throws:
    `ManagementException` - thrown if there was an error communicating with the database.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD